## ide-environment-variable ide-environment-variable |

## Functions

IdeEnvironmentVariable * | ide_environment_variable_new ()
const gchar * | ide_environment_variable_get_key ()
void | ide_environment_variable_set_key ()
const gchar * | ide_environment_variable_get_value ()
void | ide_environment_variable_set_value ()

## Types and Values

#define | IDE_TYPE_ENVIRONMENT_VARIABLE
| IdeEnvironmentVariable

## Description

## Functions

### ide_environment_variable_new ()

    IdeEnvironmentVariable *
    ide_environment_variable_new (const gchar *key,
                                  const gchar *value);

### ide_environment_variable_get_key ()

    const gchar *
    ide_environment_variable_get_key (IdeEnvironmentVariable *self);

### ide_environment_variable_set_key ()

    void
    ide_environment_variable_set_key (IdeEnvironmentVariable *self,
                                      const gchar *key);

### ide_environment_variable_get_value ()

    const gchar *
    ide_environment_variable_get_value (IdeEnvironmentVariable *self);

### ide_environment_variable_set_value ()

    void
    ide_environment_variable_set_value (IdeEnvironmentVariable *self,
                                        const gchar *value);

## Types and Values

### IDE_TYPE_ENVIRONMENT_VARIABLE

    #define IDE_TYPE_ENVIRONMENT_VARIABLE (ide_environment_variable_get_type())

### IdeEnvironmentVariable

    typedef struct _IdeEnvironmentVariable IdeEnvironmentVariable;